Page MenuHomePhabricator

As a user I want to get quick context about a link. A combination of text and image will help me learn. (Prototype 1)
Closed, ResolvedPublic2 Estimate Story Points

Description

Content and Card Layout:

Design: https://trello.com/c/OAzhMOZ8/114-prototypes

Details:
Define the text and Image area
What does it looks like when there is no image?

Details

Related Gerrit Patches:
apps/android/wikipedia : masterLink previews (prototype 1 + feature flags)

Event Timeline

KLans_WMF created this task.Apr 3 2015, 6:43 PM
KLans_WMF raised the priority of this task from to Needs Triage.
KLans_WMF updated the task description. (Show Details)
KLans_WMF moved this task to To Do on the Mobile-App-Sprint-55-iOS board.
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 6:43 PM
KLans_WMF set Security to None.
KLans_WMF added a subscriber: MSyed.

@vbamba will be providing mocks for this early next week.

KLans_WMF renamed this task from As a user I want to get quick context about a link. A combination of text and image will help me learn. to As a user I want to get quick context about a link. A combination of text and image will help me learn. (Prototype 1) .Apr 10 2015, 5:43 PM

Prototype 1 is basically already done on Android.

KLans_WMF edited a custom field.Apr 10 2015, 6:15 PM

Change 202615 had a related patch set uploaded (by Dbrant):
[WIP] Link previews (prototype 1)

https://gerrit.wikimedia.org/r/202615

Fjalapeno moved this task from Doing to To Do on the Mobile-App-Sprint-55-iOS board.
bearND reassigned this task from Vibhabamba to Dbrant.Apr 16 2015, 10:26 PM

I don't need anything from QA here, I will close these with Corey by end of week.

Change 202615 merged by jenkins-bot:
Link previews (prototype 1 feature flags)

https://gerrit.wikimedia.org/r/202615

KLans_WMF updated the task description. (Show Details)May 1 2015, 7:37 PM
KLans_WMF updated the task description. (Show Details)
Dbrant closed this task as Resolved.May 11 2015, 3:32 PM

I am sorry to critic this feature. it is totally facing readers, and just adds another annoying step in order to get to the article i want to edit. please add a way to disable this. even a one time screen or a preference thing or a one time cog or something. Thanks.

So, here is a story:

I have been to wikimedia conference last week and i conducted a UX survey.

150 Users took the survey (Thanks WMCON and the Airport people).

Here is how the survey was conducted:

A user was presented with the wikipedia app in the alpha version and was requested to:
"please click on the first blue link in order to read the article the link leads to"

I divided to audience to two groups of 75 people one is familiar with the app, the other is not.

After letting the people struggle for several seconds (getting to the article or not) I stopped the test and asked three questions:

  1. What did you expect would happen when you tapped the link?
  2. What happened ?
    • After explaining the feature and showing it to them I asked
  3. What do you think of this feature?

and now! to the numbers -

126 people answered Q1 : I thought it would take me to a new page.
24 people answered Q1 : I didn't know what to expect.

92 people answered Q2 : I got a preview.
34 people answered Q2: I got a partial page load, I thought if i'll scroll i'll get more of the new page.
12 people answered Q2: Not sure, It was very hard to understand what happened, I couldn't read the text due to the background image.
7 people answered Q2 : The new page failed to load.
5 people answered Q2: didn't know what happened/ refused to say.

69 people answered Q3: I like it!
25 people answered Q3 : useful for readers.
24 people answered Q3: the idea is nice, but the execution is not so good. (i asked for details on this type of replies, see below, general feedback section)
22 people answered Q3: I don't like it, an extra step i don't need.
5 people answered Q3 : very confusing.
4 people answered Q3 : I like it as a reader, but it is annoying as an editor, can I disable it?

Here is the typical flow for most of the users:

  1. tapped the link
  2. saw the preview, eyes go there
  3. get lost for a few milliseconds
  4. try to scroll the preview to fill the entire page
  5. fail
  6. try to scroll the other way
  7. either the preview went a way (scrolled outside the textarea, very frustrated) or nothing happened (still wondering what to do)
  8. some gave up at this point
  9. those who lost the preview tapped the link again, and then tapped the title (most cases) or on the general textarea (very few), those how didn't lose the preview tapped the title (most cases) or on the general textarea (more than those who lost the preview).

Some general feedback:

  1. I was missing some indication what to do in order to get to the article, a little "tap here" would help.
  2. please allow me to disable this in the preference.
  3. I would like to scroll from the bottom to cover the existing one.
  4. it is very slow (I think this issue is the wifi in the airport, though, think of Africa in this case).
  5. can you make the tapping length aware and go to the page if i tap it for long, and if short bring preview.
Dbrant added a subscriber: dchen.May 18 2015, 1:42 PM

@Matanya Wow, thanks so much for getting all that feedback! This is extremely valuable.
It'll be great for @Vibhabamba and @dchen to look at, and integrate into the research they've been doing.

If this is "done", should @Matanya 's feedback be moved to a new issue, or... ?